--DBCC DROPCLEANBUFFERS
--DBCC FREEPROCCACHE
-- populate demo table
DROP TABLE tblPlanDiff
GO
CREATE TABLE tblPlanDiff(Sno int identity,Col_1 int,Col_2 int)
GO
DECLARE @i int=1
WHILE(@i<=100000)
BEGIN
BEGIN TRAN
INSERT INTO tblPlanDiff values(@i*2,@i*3)
COMMIT TRAN
SET @i+=1  
END


CREATE UNIQUE CLUSTERED INDEX ix_Sno on tblplandiff(Sno ASC)
GO
CREATE INDEX ix_Col1 on tblplandiff(Col_1) 
go

SELECT COUNT(*) FROM tblplandiff 

-- Compare the estimated and actual execution plam
SELECT sno,col_1,col_2 FROM tblPlanDiff
WHERE col_1=2

-- update records to stale statistics
begin tran
Update top(80000) tblPlanDiff set Col_1=2
GO
-- Compare the estimated and actual execution plam
SELECT sno,col_1,col_2 FROM tblPlanDiff
WHERE col_1=2
Rollback

